%define srcname fabulous

Name:          python-%{srcname}
Version:       0.4.0
Release:       %mkrel 5
Summary:       Makes your terminal output totally fabulous
Group:         Development/Python
License:       MIT
URL:           https://pypi.python.org/pypi/fabulous
Source0:       https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:        python-fabulous-unbundle-fonts.patch
Patch1:        python-fabulous-unbundle-grapefruit.patch
BuildArch:     noarch
BuildRequires: dos2unix
BuildRequires: gcc
BuildRequires: make

%description
fabulous is a python module for producing fabulously colored terminal output.

Run the demo to see what's available::

    $ %{__python2} -m fabulous.demo

%package -n python3-%{srcname}
Summary:       Makes your terminal output totally fabulous
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(sphinx)
%{?python_provide:%python_provide python3-%{srcname}}
Requires:      python3dist(pillow)
Requires:      fonts-ttf-liberation

%description -n python3-%{srcname}
fabulous is a python3 module for producing fabulously colored terminal output.

Run the demo to see what's available::

    $ %{__python3} -m fabulous.demo

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1
%{__rm} -f fabulous/fonts/*
%{__rm} fabulous/_xterm256.c
%{__rm} fabulous/grapefruit.py
dos2unix README.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.rst CONTRIBUTORS AUTHORS
%license LICENSE.txt
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-*
%{_bindir}/fabulous-demo
%{_bindir}/fabulous-gotham
%{_bindir}/fabulous-image
%{_bindir}/fabulous-rotatingcube
%{_bindir}/fabulous-text


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.0-5.mga10
+ Revision: 2240919
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.0-4.mga10
+ Revision: 2158230
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 0.4.0-3.mga10
+ Revision: 2035826
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.4.0-2.mga9
+ Revision: 1832846
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.4.0-1.mga9
+ Revision: 1784960
- version 0.4.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.0-5.mga9
+ Revision: 1732355
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-4.mga8
+ Revision: 1535842
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.3.0-3.mga8
+ Revision: 1452710
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 14 2019 daviddavid <daviddavid> 0.3.0-2.mga7
+ Revision: 1356349
- fix dependencies

* Sun Jan 13 2019 wally <wally> 0.3.0-1.mga7
+ Revision: 1356031
- new version 0.3.0
- sync patches with Fedora
- add python3 pkg

* Wed Sep 19 2018 umeabot <umeabot> 0.1.5-7.mga7
+ Revision: 1274589
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.5-6.mga6
+ Revision: 946996
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-5.mga5
+ Revision: 750580
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.5-4.mga5
+ Revision: 728470
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-3.mga5
+ Revision: 688027
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Feb 21 2014 philippem <philippem> 0.1.5-1.mga5
+ Revision: 595357
- imported package python-fabulous

